ClassInjector (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.compiler.injection
[Java] Interface ClassInjector

    public interface ClassInjector

When implemented allows additional properties to be injected into Grails classes at compile time (ie when they are loaded by the GroovyClassLoader).

Authors:
  Graeme Rocher

Since:
  0.2

Field Summary
`int` | `PRIVATE_STATIC_MODIFIER`

Method Summary
`void` | `performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)` Handles injection of properties, methods etc. into a class.
`void` | `performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)` Handles injection of properties, methods etc. into a class.
`void` | `performInjectionOnAnnotatedClass(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)` Handles injection of properties, methods etc. into a class.
`boolean` | `shouldInject(java.net.URL url)` Returns whether this injector should inject

Field Detail

### PRIVATE_STATIC_MODIFIER

    public int PRIVATE_STATIC_MODIFIER

Method Detail

### performInjection

    public void performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)

  Handles injection of properties, methods etc. into a class.
  Parameters:
    `source` - The source unit
    `context` - The generator context
    `classNode` - The ClassNode instance

### performInjection

    public void performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)

  Handles injection of properties, methods etc. into a class.
  Parameters:
    `source` - The source unit
    `classNode` - The ClassNode instance

### performInjectionOnAnnotatedClass

    public void performInjectionOnAnnotatedClass(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)

  Handles injection of properties, methods etc. into a class.
  Parameters:
    `source` - The source unit
    `classNode` - The ClassNode instance

### shouldInject

    public boolean shouldInject(java.net.URL url)

  Returns whether this injector should inject
  Parameters:
    `url` - The URL of the source file
  Returns:
    true if injection should occur

Groovy Documentation